SchedulerUtils (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.newhandler
Class SchedulerUtils

    java.lang.Object
      org.gcube.datatransfer.scheduler.impl.newhandler.SchedulerUtils

    public class SchedulerUtils

extends Object

Author:
  Nikolaos Drakopoulos(CERN)

Constructor Summary
`SchedulerUtils()`

Method Summary
`static org.gcube.datatransfer.common.agent.Types.TransferOptions` | `fillTransferOptions(org.gcube.datatransfer.common.options.TransferOptions options)`
`static void` | `refreshPeriodicallyScheduledTransfer(String transferId, String submitter, org.gcube.datatransfer.scheduler.db.model.Agent agent)`
`static void` | `updateAgentStatistics(String status, org.gcube.datatransfer.scheduler.db.model.Agent agent)`
`static void` | `updateStatusAndErrors(String transferId, org.gcube.datatransfer.scheduler.db.model.Agent agent, String status, List<String> errorsInTransfer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerUtils

    public SchedulerUtils()

Method Detail

### updateStatusAndErrors

    public static void updateStatusAndErrors(String transferId,
                                             org.gcube.datatransfer.scheduler.db.model.Agent agent,
                                             String status,
                                             List<String> errorsInTransfer)

### updateAgentStatistics

    public static void updateAgentStatistics(String status,
                                             org.gcube.datatransfer.scheduler.db.model.Agent agent)

### refreshPeriodicallyScheduledTransfer

    public static void refreshPeriodicallyScheduledTransfer(String transferId,
                                                            String submitter,
                                                            org.gcube.datatransfer.scheduler.db.model.Agent agent)

### fillTransferOptions

    public static org.gcube.datatransfer.common.agent.Types.TransferOptions fillTransferOptions(org.gcube.datatransfer.common.options.TransferOptions options)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.